I get errors because glib/gi19n-lib.h isn't included in applet/main.h. I added the #include and it seems to compile fine